{"openapi":"3.0.0","info":{"title":"EventTickectingSalesServiceAPI","version":"v1"},"paths":{"/api/Attendees":{"get":{"tags":["Attendees"],"parameters":[{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"pageIndex","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Attendees"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"text/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Attendees"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Attendees"}},"application/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"text/json":{"schema":{"$ref":"#/components/schemas/Attendees"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Attendees/{id}":{"get":{"tags":["Attendees"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Attendees"}},"application/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"text/json":{"schema":{"$ref":"#/components/schemas/Attendees"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Attendees"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"text/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Attendees"}}}},"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"delete":{"tags":["Attendees"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Attendees"}},"application/json":{"schema":{"$ref":"#/components/schemas/Attendees"}},"text/json":{"schema":{"$ref":"#/components/schemas/Attendees"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Attendees/events/{id}":{"get":{"tags":["Attendees"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"pageIndex","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/JoinFinalResultPaginateResult"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Attendees/checkin":{"put":{"tags":["Attendees"],"parameters":[{"name":"idEvent","in":"query","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Attendees/resendcodes/{orderId}":{"get":{"tags":["Attendees"],"parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Order_Items":{"get":{"tags":["Order_Items"],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Order_Items"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Order_Items"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Order_Items"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Order_Items"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"text/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Order_Items"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"application/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"text/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Order_Items/{id}":{"get":{"tags":["Order_Items"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"application/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}},"text/json":{"schema":{"$ref":"#/components/schemas/Order_Items"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders/subscribed/{eventId}":{"get":{"tags":["Orders"],"parameters":[{"name":"eventId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"pageIndex","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/SubscribedPaginateResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/SubscribedPaginateResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/SubscribedPaginateResult"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders":{"get":{"tags":["Orders"],"parameters":[{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageIndex","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Search","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/OrderResultPaginateResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/OrderResultPaginateResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/OrderResultPaginateResult"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Orders"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/OrderInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/OrderInput"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/WinningMessage"}},"application/json":{"schema":{"$ref":"#/components/schemas/WinningMessage"}},"text/json":{"schema":{"$ref":"#/components/schemas/WinningMessage"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders/stats/{idEvent}":{"get":{"tags":["Orders"],"parameters":[{"name":"idEvent","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"idTicket","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"startDate","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"step","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TicketStatsStatsViewModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/TicketStatsStatsViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/TicketStatsStatsViewModel"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders/{id}":{"get":{"tags":["Orders"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Orders"}},"application/json":{"schema":{"$ref":"#/components/schemas/Orders"}},"text/json":{"schema":{"$ref":"#/components/schemas/Orders"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders/events/{id}":{"get":{"tags":["Orders"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Orders"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Orders"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Orders"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Orders/lasttxns/{msisdn}":{"get":{"tags":["Orders"],"parameters":[{"name":"msisdn","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderUssdResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderUssdResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderUssdResult"}}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Payments/reconciliation":{"get":{"tags":["Payments"],"parameters":[{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32","default":10}},{"name":"pageIndex","in":"query","schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/PaymentsPaginateResult"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentsPaginateResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentsPaginateResult"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/api/Payments/CallbackPayment":{"post":{"tags":["Payments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotifPaymentInput"}},"text/json":{"schema":{"$ref":"#/components/schemas/NotifPaymentInput"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/NotifPaymentInput"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CallbackPaymentResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/CallbackPaymentResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/CallbackPaymentResponse"}}}}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}}},"components":{"schemas":{"JoinFinalResult":{"required":["eventId","ticketId"],"type":"object","properties":{"txnid":{"type":"string","nullable":true},"msisdn":{"type":"string","nullable":true},"id":{"type":"string","format":"uuid"},"orderId":{"type":"string","format":"uuid","nullable":true},"eventId":{"type":"string","format":"uuid"},"ticketId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time","nullable":true},"hasArrived":{"type":"boolean"},"arrivalTime":{"type":"string","format":"date-time","nullable":true},"code":{"type":"string","nullable":true}},"additionalProperties":false},"JoinFinalResultPaginateResult":{"type":"object","properties":{"pageSize":{"type":"integer","format":"int32"},"pageIndex":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/JoinFinalResult"},"nullable":true}},"additionalProperties":false},"Attendees":{"required":["eventId","ticketId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"orderId":{"type":"string","format":"uuid","nullable":true},"eventId":{"type":"string","format":"uuid"},"ticketId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time","nullable":true},"hasArrived":{"type":"boolean"},"arrivalTime":{"type":"string","format":"date-time","nullable":true},"code":{"type":"string","nullable":true}},"additionalProperties":false},"Order_Items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string","nullable":true},"quantity":{"type":"integer","format":"int32"},"unitPrice":{"type":"number","format":"double"},"orderId":{"type":"string","format":"uuid","nullable":true},"ticketId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"Subscribed":{"type":"object","properties":{"txnid":{"type":"string","nullable":true},"msisdn":{"type":"string","nullable":true},"ticketNumber":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"SubscribedPaginateResult":{"type":"object","properties":{"pageSize":{"type":"integer","format":"int32"},"pageIndex":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Subscribed"},"nullable":true}},"additionalProperties":false},"OrderResult":{"type":"object","properties":{"discount":{"type":"number","format":"double"},"status":{"type":"string","nullable":true},"amount":{"type":"integer","format":"int32"},"createdAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"OrderResultPaginateResult":{"type":"object","properties":{"pageSize":{"type":"integer","format":"int32"},"pageIndex":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/OrderResult"},"nullable":true}},"additionalProperties":false},"OrderItemInput":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"quantite":{"type":"integer","format":"int32"}},"additionalProperties":false},"OrderInput":{"type":"object","properties":{"eventId":{"type":"string","format":"uuid"},"organiserId":{"type":"string","format":"uuid"},"msisdn":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"orderItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemInput"},"nullable":true}},"additionalProperties":false},"WinningMessage":{"type":"object","properties":{"status":{"type":"integer","format":"int64"},"message":{"type":"string","nullable":true}},"additionalProperties":false},"TicketStats":{"type":"object","properties":{"sold":{"type":"integer","format":"int32"},"revenue":{"type":"number","format":"double"},"index":{"type":"integer","format":"int32"}},"additionalProperties":false},"TicketStatsStatsViewModel":{"type":"object","properties":{"totalTicket":{"type":"integer","format":"int32"},"totalRevenue":{"type":"number","format":"double"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TicketStats"},"nullable":true}},"additionalProperties":false},"Orders":{"required":["eventId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"discount":{"type":"number","format":"double"},"eventId":{"type":"string","format":"uuid"},"status":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"txnid":{"type":"string","nullable":true},"msisdn":{"type":"string","nullable":true},"organiserId":{"type":"string","format":"uuid"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"OrderUssdResult":{"type":"object","properties":{"msisdn":{"type":"string","nullable":true},"amount":{"type":"number","format":"float"},"orderId":{"type":"string","format":"uuid"},"orderDate":{"type":"string","format":"date-time"},"status":{"type":"string","nullable":true}},"additionalProperties":false},"Payments":{"type":"object","properties":{"txnid":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"msisdn":{"type":"string","nullable":true},"amount":{"type":"integer","format":"int32"},"payToken":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"additionalProperties":false},"PaymentsPaginateResult":{"type":"object","properties":{"pageSize":{"type":"integer","format":"int32"},"pageIndex":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Payments"},"nullable":true}},"additionalProperties":false},"NotifPaymentInput":{"type":"object","properties":{"status":{"type":"string","nullable":true},"payToken":{"type":"string","nullable":true}},"additionalProperties":false},"CallbackPaymentResponse":{"type":"object","properties":{"message":{"type":"string","nullable":true},"code":{"type":"integer","format":"int64"}},"additionalProperties":false}},"securitySchemes":{"default":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://apiw.orange.cm/authorize","scopes":{}}}}}},"servers":[{"url":"https://apiw.orange.cm/tickecting/sales/v1"},{"url":"http://apiw.orange.cm/tickecting/sales/v1"}]}